Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester.xmlrules
Class DigesterRuleParser.SetNestedPropertiesRuleFactory

    java.lang.Object
      org.apache.commons.digester.AbstractObjectCreationFactory
          org.apache.commons.digester.xmlrules.DigesterRuleParser.SetNestedPropertiesRuleFactory

All Implemented Interfaces:
  ObjectCreationFactory

Enclosing class:
  DigesterRuleParser

    protected class DigesterRuleParser.SetNestedPropertiesRuleFactory

extends AbstractObjectCreationFactory

Factory for creating a SetNestedPropertiesRule

Field Summary

Fields inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`digester`

Constructor Summary
`protected` | `DigesterRuleParser.SetNestedPropertiesRuleFactory()`

Method Summary
`Object` | `createObject(Attributes attributes)` Factory method called by `FactoryCreateRule` to supply an object based on the element's attributes.

Methods inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterRuleParser.SetNestedPropertiesRuleFactory

    protected DigesterRuleParser.SetNestedPropertiesRuleFactory()

Method Detail

### createObject

    public Object createObject(Attributes attributes)

  Description copied from class: `AbstractObjectCreationFactory`

  Factory method called by `FactoryCreateRule` to supply an object based on the element's attributes.

  Specified by:
    `createObject` in interface `ObjectCreationFactory`
  Specified by:
    `createObject` in class `AbstractObjectCreationFactory`
  Parameters:
    `attributes` - the element's attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.